Update a webhook
curl --request PATCH \
--url https://go-fetch.io/api/v1/webhooks/{id}/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "<string>",
"events": "<unknown>",
"is_active": true
}
'import requests
url = "https://go-fetch.io/api/v1/webhooks/{id}/"
payload = {
"url": "<string>",
"events": "<unknown>",
"is_active": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: '<unknown>', is_active: true})
};
fetch('https://go-fetch.io/api/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signing_secret": "<string>",
"failed_deliveries": 123,
"disabled_reason": "<string>",
"last_delivery_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"events": "<unknown>",
"is_active": true
}Webhooks
Update a webhook
Change its URL or events, or pause it with is_active: false.
PATCH
/
api
/
v1
/
webhooks
/
{id}
/
Update a webhook
curl --request PATCH \
--url https://go-fetch.io/api/v1/webhooks/{id}/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "<string>",
"events": "<unknown>",
"is_active": true
}
'import requests
url = "https://go-fetch.io/api/v1/webhooks/{id}/"
payload = {
"url": "<string>",
"events": "<unknown>",
"is_active": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: '<unknown>', is_active: true})
};
fetch('https://go-fetch.io/api/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signing_secret": "<string>",
"failed_deliveries": 123,
"disabled_reason": "<string>",
"last_delivery_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"events": "<unknown>",
"is_active": true
}Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
Maximum string length:
200In full in the create response only; its first 8 characters and ... after.
Events to listen for